> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get schedule by id

> Retrieve a single schedule



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml get /deliver/schedules/{id}
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/schedules/{id}:
    get:
      tags:
        - Schedules
      summary: Get schedule by id
      description: Retrieve a single schedule
      operationId: get-schedule
      parameters:
        - name: Orum-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/OrumVersion'
          x-orum-error-invalid:
            known-error: version_invalid
          x-orum-error-missing:
            known-error: version_missing
        - name: id
          description: Orum generated unique id for the schedule you are fetching.
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/OrumId'
          x-orum-error-invalid:
            known-error: invalid_schedule_id
          x-orum-error-missing:
            known-error: missing_schedule_id
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleResponse'
        '404':
          description: not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - read:schedules
components:
  schemas:
    OrumVersion:
      type: string
      description: Version of Deliver and Verify APIs. Use v2022-09-21.
      enum:
        - v2022-09-21
    OrumId:
      type: string
      description: Orum generated unique id for the resource.
      format: uuid
    ScheduleResponse:
      title: ScheduleResponse
      type: object
      required:
        - schedule
      properties:
        schedule:
          $ref: '#/components/schemas/ScheduleResponseBaseObject'
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    ScheduleResponseBaseObject:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        schedule_reference_id:
          $ref: '#/components/schemas/ScheduleReferenceId'
        status:
          $ref: '#/components/schemas/ScheduleStatus'
        amount:
          $ref: '#/components/schemas/TransferAmount'
        currency:
          $ref: '#/components/schemas/Currency'
        speed:
          $ref: '#/components/schemas/TransferSpeed'
        source:
          $ref: '#/components/schemas/SourceTransferParty'
        destination:
          $ref: '#/components/schemas/DestinationTransferParty'
        start_date:
          $ref: '#/components/schemas/ScheduleStartDate'
        recurrence:
          $ref: '#/components/schemas/ScheduleRecurrence'
        next_payment_date:
          $ref: '#/components/schemas/ScheduleNextPaymentDate'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        rrule_readable:
          $ref: '#/components/schemas/ScheduleHumanReadableCadence'
      required:
        - id
        - schedule_reference_id
        - status
        - amount
        - currency
        - speed
        - start_date
        - recurrence
        - next_payment_date
        - created_at
        - updated_at
        - rrule_readable
    ScheduleReferenceId:
      title: ScheduleReferenceId
      type: string
      description: Unique reference id for the Schedule. Generated by you.
      minLength: 1
    ScheduleStatus:
      title: ScheduleStatus
      type: string
      description: Describes the current status of the schedule.
      enum:
        - active
        - inactive
    TransferAmount:
      title: TransferAmount
      type: integer
      description: >-
        Transfer amount in integral cents (example: 100 = $1). Must be greater
        than zero.
      minimum: 1
    Currency:
      title: Currency
      type: string
      description: Currency code in ISO 4217 format. Only USD is supported.
      enum:
        - USD
    TransferSpeed:
      title: TransferSpeed
      type: string
      description: Speed of transfer.
      enum:
        - asap
        - standard
        - same_day
        - wire
    SourceTransferParty:
      title: Source
      type: object
      description: >-
        For use cases that require a Source, information about the transfer
        funding source, which will be debited.
      properties:
        customer_reference_id:
          type: string
          description: >-
            Unique reference ID for the customer (person or business) associated
            with the external account being debited.
          minLength: 1
          x-orum-error-missing:
            known-error: missing_source_customer_reference_id
          x-orum-error-invalid:
            known-error: invalid_source_customer_reference_id
        account_reference_id:
          type: string
          description: Unique reference ID for the external account being debited.
          minLength: 1
          x-orum-error-missing:
            known-error: missing_source_account_reference_id
          x-orum-error-invalid:
            known-error: invalid_source_account_reference_id
        statement_display_name:
          type: string
          description: >-
            The name that will appear on the bank account statement of the
            account being debited. The field supports 16 alphanumeric characters
            for ACH, and 140 for RTP.
          nullable: true
      required:
        - account_reference_id
        - customer_reference_id
    DestinationTransferParty:
      title: TransferDestination
      type: object
      description: >-
        Information about the transfer funds destination, which will be
        credited.
      properties:
        customer_reference_id:
          type: string
          description: >-
            Unique reference ID for the customer (person or business) associated
            with the external account being credited.
          minLength: 1
          x-orum-error-missing:
            known-error: missing_destination_customer_reference_id
          x-orum-error-invalid:
            known-error: invalid_destination_customer_reference_id
        account_reference_id:
          type: string
          description: Unique reference ID for the account being credited.
          minLength: 1
          x-orum-error-missing:
            known-error: missing_destination_account_reference_id
          x-orum-error-invalid:
            known-error: invalid_destination_account_reference_id
        statement_display_name:
          type: string
          description: >-
            The name that will appear on the bank account statement of the
            account being credited. The field supports 16 alphanumeric
            characters for ACH, and 140 for RTP.
          nullable: true
      required:
        - account_reference_id
        - customer_reference_id
    ScheduleStartDate:
      type: string
      description: The date when the schedule starts, in YYYY-MM-DD format.
      format: date
      example: '2025-01-01'
    ScheduleRecurrence:
      type: string
      description: Recurrence of the schedule in iCalendar RRULE format
      example: RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR
    ScheduleNextPaymentDate:
      type: string
      description: The date when the schedule will execute
      format: date
      example: '2025-01-01'
    CreatedAt:
      type: string
      description: Timestamp when the resource was created.
      format: date-time
    UpdatedAt:
      type: string
      description: Timestamp when the resource was last updated.
      format: date-time
    ScheduleHumanReadableCadence:
      title: ScheduleHumanReadableCadence
      type: string
      description: The human-readable cadence of the schedule.
      example: Weekly on Monday, Wednesday, and Friday
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````